Ready to get started with Slash? Get Started →
curl --request POST \
--url https://api.slash.com/invoice/series \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"accountId": "<string>",
"recurrenceRule": {
"type": "weekly",
"dayOfWeek": 3
},
"paymentTermsDays": 1,
"invoiceTz": "America/New_York",
"startDate": "2023-12-25",
"endCondition": {
"type": "never"
},
"template": {
"lineItemsAndTotals": {
"lineItems": [
{
"name": "<string>",
"quantity": 123,
"priceCents": 123,
"catalogItemId": "<string>"
}
],
"discount": {
"type": "percentage",
"percent": 123
},
"tax": {
"type": "percentage",
"percent": 123
}
},
"memo": "<string>",
"ccEmails": [
"<string>"
]
},
"legalEntityContactId": "<string>",
"legalEntityCustomerId": "<string>",
"paymentMethods": [
{
"method": "ach_debit",
"config": {
"passFeeToPayer": true
}
}
]
}
'{
"invoiceSeries": {
"$entity": "invoice_series",
"id": "<string>",
"status": "active",
"recurrenceRule": {
"type": "weekly",
"dayOfWeek": 3
},
"paymentTermsDays": 123,
"invoiceTz": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endCondition": {
"type": "never"
},
"template": {
"lineItemsAndTotals": {
"lineItems": [
{
"name": "<string>",
"quantity": 123,
"priceCents": 123,
"catalogItemId": "<string>"
}
],
"discount": {
"type": "percentage",
"percent": 123
},
"tax": {
"type": "percentage",
"percent": 123
}
},
"memo": "<string>",
"ccEmails": [
"<string>"
]
},
"paymentMethods": [
{
"method": "ach_debit",
"config": {
"passFeeToPayer": true
}
}
],
"accountId": "<string>",
"nextScheduledDate": "2023-11-07T05:31:56Z",
"legalEntityContactId": "<string>",
"legalEntityCustomerId": "<string>"
},
"invoiceAggregate": {
"invoice": {
"id": "<string>",
"status": "void",
"collectedAmountCents": 123,
"invoiceDetailsId": "<string>",
"accountId": "<string>",
"invoiceTransactions": [
{
"transactionType": "external",
"transaction": {
"paymentMethod": {
"method": "ach_debit",
"config": {
"passFeeToPayer": true
}
},
"paidAt": "<string>"
}
}
],
"legalEntityContactId": "<string>",
"legalEntityCustomerId": "<string>",
"invoicePaymentMethods": [
{
"method": "ach_debit",
"config": {
"passFeeToPayer": true
}
}
],
"closedAt": "2023-11-07T05:31:56Z",
"invoiceSeriesId": "<string>",
"scheduledSendDate": "2023-11-07T05:31:56Z"
},
"invoiceDetails": {
"id": "<string>",
"issuedAt": "2023-11-07T05:31:56Z",
"dueAt": "2023-11-07T05:31:56Z",
"invoiceTz": "America/New_York",
"currency": "<string>",
"lineItemsAndTotals": {
"lineItems": [
{
"name": "<string>",
"quantity": 123,
"priceCents": 123,
"catalogItemId": "<string>"
}
],
"subtotalCents": 123,
"totalAmountCents": 123,
"discount": {
"type": "percentage",
"percent": 123
},
"tax": {
"type": "percentage",
"percent": 123
}
},
"invoiceNumber": "<string>",
"documentId": "<string>",
"billedTo": {
"name": "<string>",
"email": "<string>",
"address": {
"addressLine": "<string>",
"addressCity": "<string>",
"addressState": "<string>",
"addressZip": "<string>",
"addressLine2": "<string>",
"addressCountry": "<string>"
},
"ccEmails": [
"<string>"
]
},
"version": 2,
"memo": "<string>"
},
"invoiceAccount": {
"id": "<string>",
"name": "<string>",
"slashAccountGroupId": "<string>",
"accountType": "default",
"accountNumber": "<string>",
"routingNumber": "<string>",
"closedAt": "<string>"
}
}
}Create a new invoice series (recurring invoice). The series will automatically generate invoices according to the specified recurrence rule.
curl --request POST \
--url https://api.slash.com/invoice/series \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"accountId": "<string>",
"recurrenceRule": {
"type": "weekly",
"dayOfWeek": 3
},
"paymentTermsDays": 1,
"invoiceTz": "America/New_York",
"startDate": "2023-12-25",
"endCondition": {
"type": "never"
},
"template": {
"lineItemsAndTotals": {
"lineItems": [
{
"name": "<string>",
"quantity": 123,
"priceCents": 123,
"catalogItemId": "<string>"
}
],
"discount": {
"type": "percentage",
"percent": 123
},
"tax": {
"type": "percentage",
"percent": 123
}
},
"memo": "<string>",
"ccEmails": [
"<string>"
]
},
"legalEntityContactId": "<string>",
"legalEntityCustomerId": "<string>",
"paymentMethods": [
{
"method": "ach_debit",
"config": {
"passFeeToPayer": true
}
}
]
}
'{
"invoiceSeries": {
"$entity": "invoice_series",
"id": "<string>",
"status": "active",
"recurrenceRule": {
"type": "weekly",
"dayOfWeek": 3
},
"paymentTermsDays": 123,
"invoiceTz": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endCondition": {
"type": "never"
},
"template": {
"lineItemsAndTotals": {
"lineItems": [
{
"name": "<string>",
"quantity": 123,
"priceCents": 123,
"catalogItemId": "<string>"
}
],
"discount": {
"type": "percentage",
"percent": 123
},
"tax": {
"type": "percentage",
"percent": 123
}
},
"memo": "<string>",
"ccEmails": [
"<string>"
]
},
"paymentMethods": [
{
"method": "ach_debit",
"config": {
"passFeeToPayer": true
}
}
],
"accountId": "<string>",
"nextScheduledDate": "2023-11-07T05:31:56Z",
"legalEntityContactId": "<string>",
"legalEntityCustomerId": "<string>"
},
"invoiceAggregate": {
"invoice": {
"id": "<string>",
"status": "void",
"collectedAmountCents": 123,
"invoiceDetailsId": "<string>",
"accountId": "<string>",
"invoiceTransactions": [
{
"transactionType": "external",
"transaction": {
"paymentMethod": {
"method": "ach_debit",
"config": {
"passFeeToPayer": true
}
},
"paidAt": "<string>"
}
}
],
"legalEntityContactId": "<string>",
"legalEntityCustomerId": "<string>",
"invoicePaymentMethods": [
{
"method": "ach_debit",
"config": {
"passFeeToPayer": true
}
}
],
"closedAt": "2023-11-07T05:31:56Z",
"invoiceSeriesId": "<string>",
"scheduledSendDate": "2023-11-07T05:31:56Z"
},
"invoiceDetails": {
"id": "<string>",
"issuedAt": "2023-11-07T05:31:56Z",
"dueAt": "2023-11-07T05:31:56Z",
"invoiceTz": "America/New_York",
"currency": "<string>",
"lineItemsAndTotals": {
"lineItems": [
{
"name": "<string>",
"quantity": 123,
"priceCents": 123,
"catalogItemId": "<string>"
}
],
"subtotalCents": 123,
"totalAmountCents": 123,
"discount": {
"type": "percentage",
"percent": 123
},
"tax": {
"type": "percentage",
"percent": 123
}
},
"invoiceNumber": "<string>",
"documentId": "<string>",
"billedTo": {
"name": "<string>",
"email": "<string>",
"address": {
"addressLine": "<string>",
"addressCity": "<string>",
"addressState": "<string>",
"addressZip": "<string>",
"addressLine2": "<string>",
"addressCountry": "<string>"
},
"ccEmails": [
"<string>"
]
},
"version": 2,
"memo": "<string>"
},
"invoiceAccount": {
"id": "<string>",
"name": "<string>",
"slashAccountGroupId": "<string>",
"accountType": "default",
"accountNumber": "<string>",
"routingNumber": "<string>",
"closedAt": "<string>"
}
}
}Documentation Index
Fetch the complete documentation index at: https://docs.slash.com/llms.txt
Use this file to discover all available pages before exploring further.
API key authentication for public API requests.
Keys come in two flavors:
GET /legal-entity, which lists the
legal entities the user can access) must include an
x-legal-entity header naming the legal entity the request is
operating on. Requests without the header are rejected with
400. The authenticated user must have an active permission
role on the supplied legal entity, otherwise the request is
rejected with 403.Input for creating or editing a recurring invoice series
Discriminated union defining when a recurring invoice series issues invoices
Show child attributes
Number of days after issuance that the invoice is due. 0 = Due on Receipt.
x >= 0IANA timezone identifier used for date calculations
"America/New_York"
Date (in invoiceTz) from which to begin generating invoices
Discriminated union defining when a recurring invoice series stops generating invoices
Show child attributes
Template data used to generate each invoice in a recurring series
Show child attributes
Immutable after creation. Ignored on edit.
The legal entity customer this series is for. Optional during transition.
Show child attributes